#pragma once
#include "B4RDefines.h"
#include "IRremote.h"
//~Version: 0.16
namespace B4R {
	//~shortname: IRRemote
	class B4RIRRemote {
		private:
			//Uses class IRrecv as defined in IRremote.h (external lib)
			IRrecv* IRRecv;
		public:
			void Initialize		(Byte ReceivePin);
			void Initialize2 	(Byte ReceivePin, Byte BlinkPin);
			void  Blink13    	(UInt blinkflag);
			ULong	Decode     	();
			//int   Decode     (decode_results *results); --- org declare
			void  EnableIRIn 	();
			bool  IsIdle     	();
			void  Resume     	(); 
	};

}
