#include "B4RDefines.h"
namespace B4R {

	void B4RIRRemote::Initialize(Byte ReceivePin) {
		IRRecv = new IRrecv (ReceivePin);
	}

	void B4RIRRemote::Initialize2(Byte ReceivePin, Byte BlinkPin) {
		IRRecv = new IRrecv (ReceivePin, BlinkPin);
	}

	ULong B4RIRRemote::Decode() {
 		decode_results dr;
		if (IRRecv->decode(&dr) == 1) return dr.value;
 		else return -1;
 	};

	void  B4RIRRemote::EnableIRIn(){
		IRRecv->enableIRIn();
	};
	
	void	B4RIRRemote::Blink13(UInt blinkflag){
		IRRecv->blink13(blinkflag);
	};

	bool  B4RIRRemote::IsIdle(){
		return IRRecv->isIdle();
	};
	
	void  B4RIRRemote::Resume(){
		IRRecv->resume();
	};

}
